Index: /branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.h	(revision 562)
+++ /branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.h	(revision 563)
@@ -2160,12 +2160,4 @@
   Void      setMFMEnabledFlag(Bool flag)                { m_bMFMEnabledFlag = flag; }
   Bool      getMFMEnabledFlag()                         { return m_bMFMEnabledFlag; }
-#if !REMOVE_COL_PICTURE_SIGNALING
-  Void      setColRefLayerIdx(Int i)                    { m_colRefLayerIdx = i;     }
-  Int       getColRefLayerIdx()                         { return m_colRefLayerIdx;  }
-  Void      setAltColIndicationFlag(Bool i)             { m_altColIndicationFlag = i; }
-  Bool      getAltColIndicationFlag()                   { return m_altColIndicationFlag; }
-  Void      setMotionPredIlp(TComPic *ilpPic)           { m_pcIlpPic = ilpPic; }
-  TComPic*  getMotionPredIlp()                          { return m_pcIlpPic; }
-#endif
 #endif
 
Index: /branches/SHM-5.0-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-5.0-dev/source/Lib/TLibCommon/TypeDef.h	(revision 562)
+++ /branches/SHM-5.0-dev/source/Lib/TLibCommon/TypeDef.h	(revision 563)
@@ -166,5 +166,4 @@
 #endif
 #if REF_IDX_MFM
-#define REMOVE_COL_PICTURE_SIGNALING     1      ///< JCTVC-N0107: remove alternative collocated picture signalling
 #define N0139_POSITION_ROUNDING_OFFSET   1      ///< JCTVC-N0139: offset for collocated block in motion mapping
 #endif
Index: /branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 562)
+++ /branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 563)
@@ -2339,24 +2339,8 @@
     if ( rpcSlice->getEnableTMVPFlag() )
     {
-#if REMOVE_COL_PICTURE_SIGNALING
+#if SVC_EXTENSION && REF_IDX_MFM
+      // set motion mapping flag
       rpcSlice->setMFMEnabledFlag( ( rpcSlice->getNumMotionPredRefLayers() > 0 && rpcSlice->getActiveNumILRRefIdx() ) ? true : false );
-#else
-      rpcSlice->setMFMEnabledFlag( false );
-      rpcSlice->setColRefLayerIdx( 0 );
-      rpcSlice->setAltColIndicationFlag( false );
-      if ( sps->getLayerId() > 0 && rpcSlice->getActiveNumILRRefIdx() > 0 && rpcSlice->getNumMotionPredRefLayers() > 0 )
-      {
-        READ_FLAG( uiCode, "alt_collocated_indication_flag" );
-        rpcSlice->setAltColIndicationFlag( uiCode == 1 ? true : false );
-        rpcSlice->setMFMEnabledFlag( uiCode == 1 ? true : false );
-        if ( rpcSlice->getNumMotionPredRefLayers() > 1 )
-        {
-          READ_UVLC( uiCode, "collocated_ref_layer_idx" );
-          rpcSlice->setColRefLayerIdx( uiCode );
-        }
-      }
-      else
-      {
-#endif //REMOVE_COL_PICTURE_SIGNALING
+#endif
       if ( rpcSlice->getSliceType() == B_SLICE )
       {
Index: /branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 562)
+++ /branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 563)
@@ -691,7 +691,4 @@
       pcSlice->setInterLayerPredEnabledFlag(false);
       pcSlice->setMFMEnabledFlag(false);
-#if !REMOVE_COL_PICTURE_SIGNALING
-      pcSlice->setAltColIndicationFlag(false);
-#endif
     }
 #endif
@@ -1216,9 +1213,5 @@
 
 #if REF_IDX_MFM
-#if REMOVE_COL_PICTURE_SIGNALING
       if( pcSlice->getMFMEnabledFlag() )
-#else
-      if( pcSlice->getMFMEnabledFlag() && !(pcSlice->getActiveNumILRRefIdx() > 0 && m_pcEncTop->getNumMotionPredRefLayers() > 0) )
-#endif
       {
         Bool found         = false;
Index: /branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- /branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 562)
+++ /branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 563)
@@ -537,7 +537,4 @@
 #endif
     rpcSlice->setMFMEnabledFlag(m_ppcTEncTop[layerId]->getMFMEnabledFlag());
-#if !REMOVE_COL_PICTURE_SIGNALING
-    rpcSlice->setAltColIndicationFlag(rpcSlice->getMFMEnabledFlag());
-#endif
   }
 
